%define release 2mdk
%define name bayonne
%define version 0.6.4
%define _dsopath %{_prefix}/lib/bayonne/%{version}

Summary: Bayonne - the telephony server of the GNU project
Name: bayonne
Version: %{version}
Release: %{release}
Group: Communications
Source: %{name}-%{version}.tar.bz2
Prefix: %{_prefix}
License: GPL
BuildRoot: %{_tmppath}/%{name}-buildroot
Url: http://www.bayonne.cx
BuildRequires: libccscript1.6-devel >= 1.6 libccaudio0.4-devel >= 0.4.0 
Buildrequires: libCommonC++1.6-devel >= 1.6

%description
Bayonne offers a script programmable modular server for deploying
multi-line telephony voice response and computer telephony applications.

%package UsEngM
Summary: Bayonne-UsEngM - voice library for US English Male speaker
Group: Communications
Requires: bayonne

%package FrenchM
Summary: Bayonne-FrenchM - international voice library for French
Group: Communications
Requires: bayonne

%package FrenchF
Summary: Bayonne-FrenchF - international voice library for French
Group: Communications
Requires: bayonne

%package drivers
Summary: Bayonne telephony device drivers
Group: Communications
Requires: bayonne

%description drivers
The actual set of device drivers that may be built from Bayonne depends
on which telephony API's are found on the build host by "configure".  Some
Bayonne driver dso's are always built for all GNU/Linux systems, such as
phonedev or dummy.  Others, like the Pika driver, require the MonteCarlo
API.  Unfortunately there is no support in RPM packages for conditionally
building a subpackage based on the presense or absence of a dependent
library.  Hence, the drivers package will contain those drivers that were
buildable on the build host rather than those that might be supported on
the end user's target system.  Ideally the build host that was used to
prepare this package in binary form should contain all possible telephony
api packages that Bayonne will support.

%description UsEngM
The US English "male" speaker library offers default voice prompts
for the Bayonne telephony server.

%description FrenchM
The French international "male" speaker library offers default French 
language voice prompts for the Bayonne telephony server.

%description FrenchF
The French international "female" speaker library offers default French
language voice prompts for the Bayonne telephony server.  Contributed
by Mariza Nicole.


%prep
rm -rf $RPM_BUILD_ROOT

%setup

# NOTE: in Common C++, compiler options are retreived from config.def
# and should not be overriden here!

./configure --prefix=%{_prefix}

%build

%make

%install
mkdir -p $RPM_BUILD_ROOT/var/bayonne
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
make prefix=$RPM_BUILD_ROOT/%{_prefix} etc_prefix=$RPM_BUILD_ROOT/etc \
	mandir=$RPM_BUILD_ROOT/%{_mandir} etc_suffix="" install

%files
%defattr(-,root,root)
%doc AUTHORS COPYING NEWS README TODO THANKS ChangeLog BAYONNE.FAQ
%doc doc/html doc/latex doc/manual*
%config(noreplace) %attr(0600,root,root) /etc/bayonne.conf
%config(noreplace) %attr(0600,root,root) /etc/bayonne.sched
%dir %{_prefix}/share/aaprompts
%dir %{_dsopath}
%config(noreplace)%_initrddir/bayonne
%{_mandir}/man8/bayonne.8*
%{_prefix}/libexec/tgi
%{_dsopath}/*.aud
%{_dsopath}/*.fun
%{_dsopath}/*.dbg
%{_dsopath}/*.tts
%{_dsopath}/*.mod
%_includedir/cc++/bayonne.h
%_datadir/aascripts
%_sbindir/bayonne
/var/bayonne

%files drivers
%defattr(-,root,root)
%doc COPYING
%{_dsopath}/*.ivr

%files UsEngM
%defattr(-,root,root)
%doc COPYING
%{_datadir}/aaprompts/UsEngM

%files FrenchM
%defattr(-,root,root)
%doc COPYING
%{_datadir}/aaprompts/FrenchM

%files FrenchF
%defattr(-,root,root)
%doc COPYING
%{_datadir}/aaprompts/FrenchF

%clean
rm -rf $RPM_BUILD_ROOT

%post 
/sbin/chkconfig --add bayonne
%_post_service bayonne

%preun 
/sbin/chkconfig --del bayonne
%_preun_service bayonne

%changelog
* Fri Sep 21 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.6.4-2mdk
- rebuild against new libCommonC++

* Fri Jul 27 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.6.4-1mdk
- updated to 0.6.4

* Thu Jan 11 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.5.12-1mdk
- updated to 0.5.12

* Mon Jan 08 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.5.11-1mdk
- updated to 0.5.11

* Wed Jan 03 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.5.8-1mdk 
- updated to 0.5.8

* Tue Jan 02 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.5.7-1mdk
- updated to 0.5.7

* Mon Dec 18 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.5.6-1mdk 
- updated to 0.5.6

* Mon Dec 11 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.5.5-1mdk
- updated to 0.5.5

* Wed Dec 06 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.5.4-1mdk
- updated to 0.5.4

* Tue Sep 26 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.5.1-1mdk
- updated to 0.5.1

* Tue Jul 25 2000 David Sugar <dyfet@ostel.com> 0.4.2-1mdk
- added changes suggested by Lenny Cartier <lenny@mandrakesoft.com>.
- made into a relocatable package.
 
* Mon Jul 24 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.4-1mdk
- use of CXXFLAGS="-DIXJ_CID=PHONE_CID" to fix problem with new kernel headers
- FHS2.1
- add buildrequires 
